Package picard.vcf

# Class FixVcfHeader

java.lang.Object
picard.cmdline.CommandLineProgram
picard.vcf.FixVcfHeader

@DocumentedFeature public class FixVcfHeader extends CommandLineProgram
Tool for replacing or fixing up a VCF header.

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`CHECK_FIRST_N_RECORDS`
`boolean`
`ENFORCE_SAME_SAMPLES`
`PicardHtsPath`
`HEADER`
`PicardHtsPath`
`INPUT`
`File`
`OUTPUT`

### Fields inherited from class picard.cmdline.CommandLineProgram

`COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, MAX_ALLOWABLE_ONE_LINE_SUMMARY_LENGTH, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, referenceSequence, specialArgumentsCollection, SYNTAX_TRANSITION_URL, TMP_DIR, USE_JDK_DEFLATER, USE_JDK_INFLATER, VALIDATION_STRINGENCY, VERBOSITY`

## Constructor Summary

Constructors
Constructor
Description
`FixVcfHeader()`

## Method Summary

Modifier and Type
Method
Description
`protected String[]`
`customCommandLineValidation()`
Put any custom command-line validation in an override of this method.
`protected int`
`doWork()`
Do the work after command line has been parsed.

### Methods inherited from class picard.cmdline.CommandLineProgram

`checkRInstallation, getCommandLine, getCommandLineParser, getCommandLineParserForArgs, getDefaultHeaders, getFaqLink, getMetricsFile, getPGRecord, getStandardUsagePreamble, getStandardUsagePreamble, getVersion, hasWebDocumentation, instanceMain, instanceMainWithExit, makeReferenceArgumentCollection, parseArgs, requiresReference, setDefaultHeaders, useLegacyParser`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INPUT

@Argument(shortName="I", doc="The input VCF/BCF file.") public PicardHtsPath INPUT

### OUTPUT

@Argument(shortName="O", doc="The output VCF/BCF file.") public File OUTPUT

### CHECK_FIRST_N_RECORDS

@Argument(shortName="N", doc="Check only the first N records when searching for missing INFO and FORMAT fields.", optional=true) public int CHECK_FIRST_N_RECORDS

### HEADER

@Argument(shortName="H", doc="The replacement VCF header.", optional=true) public PicardHtsPath HEADER

### ENFORCE_SAME_SAMPLES

@Argument(doc="Enforce that the samples are the same (and in the same order) when replacing the VCF header.", optional=true) public boolean ENFORCE_SAME_SAMPLES

## Constructor Details

### FixVcfHeader

public FixVcfHeader()

## Method Details

### customCommandLineValidation

protected String[] customCommandLineValidation()
Description copied from class: `CommandLineProgram`
Put any custom command-line validation in an override of this method. clp is initialized at this point and can be used to print usage and access argv. Any options set by command-line parser can be validated.

Overrides:
  `customCommandLineValidation` in class `CommandLineProgram`
Returns:
  null if command line is valid. If command line is invalid, returns an array of error message to be written to the appropriate place.

### doWork

protected int doWork()
Description copied from class: `CommandLineProgram`
Do the work after command line has been parsed. RuntimeException may be thrown by this method, and are reported appropriately.

Specified by:
  `doWork` in class `CommandLineProgram`
Returns:
  program exit status.